package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PmUserDto extends BaseDto {
	
	private static final long serialVersionUID = 1583650239702032294L;
	
	// フィールド
	private String userId;
	private String password;
	private String kCode;
	private String userName;
	private String authority;
	private int    dataLevel;
	private Date   changePass;
	private int    deleteFlag;
	
	/**
	 * コンストラクタ
	 */
	public PmUserDto(){
		super();
	}
	
	/**
	 * コンストラクタ
	 */
	public PmUserDto(PmBasisDto dto){
		super();
		this.userId     = dto.getKCode();
		this.kCode      = dto.getKCode();
		this.userName   = dto.getKName();
	}
	
	// アクセサメソッド
	public String getUserId() { return userId; }
	public void setUserId(String userId) { this.userId = userId; }
	public String getPassword() { return password; }
	public void setPassword(String password) { this.password = password; }
	public String getKCode() { return kCode; }
	public void setKCode(String kCode) { this.kCode = kCode; }
	public String getUserName() { return userName; }
	public void setUserName(String userName) { this.userName = userName; }
	public String getAuthority() { return authority; }
	public void setAuthority(String authority) { this.authority = authority; }
	public int getDataLevel() { return dataLevel; }
	public void setDataLevel(int dataLevel) { this.dataLevel = dataLevel; }
	public Date getChangePass() { return (Date)changePass.clone(); }
	public void setChangePass(Date changePass) { this.changePass = (Date)changePass.clone(); }
	public int getDeleteFlag() { return deleteFlag; }
	public void setDeleteFlag(int deleteFlag) { this.deleteFlag = deleteFlag; }
	
}
